Page MenuHomePhabricator

Define which Action (?action=) classes expect write vs read mode
Closed, ResolvedPublic

Description

This would be similar to the API and could be used in conjunction with TransactionProfiler.

Details

Related Gerrit Patches:
mediawiki/extensions/InviteSignup : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/FanBoxes : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/Duplicator : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/Drafts : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/CommunityTwitter : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/CommunityVoice : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/CommunityHiring : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/Challenge : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/ImportFreeImages : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/DataTransfer : masterDefine doesWrites() for SpecialPage classes
mediawiki/core : masterDefine doesWrites() for SpecialPageAction
mediawiki/extensions/MassMessage : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/GoogleLogin : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/EditUser : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/GWToolset : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/MassAction : masterDefine doesWrites() for Action classes
mediawiki/extensions/ImportUsers : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/LastUserLogin : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/InterwikiIntegration : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/Html2Wiki : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/EmailCapture : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/EditAccount : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/DeleteBatch : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/CreateRedirect : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/CloseWikis : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/Comments : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/Contest : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/Video : masterDefine doesWrites() for Action classes
mediawiki/extensions/DeletePagesForGood : masterDefine doesWrites() for Action classes
mediawiki/extensions/Gather : devDefine doesWrites() for SpecialPage classes
mediawiki/extensions/CentralNotice : masterDefine doesWrites() for Action classes
mediawiki/extensions/ConfirmAccount : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/Interwiki : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/GlobalBlocking : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/DisableAccount : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/CheckUser : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/Flow : masterDefine doesWrites() for Action classes
mediawiki/extensions/CodeReview : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/EducationProgram : masterDefine doesWrites() for Action classes
mediawiki/extensions/CentralAuth : masterDefine doesWrites() for SpecialPage classes
mediawiki/extensions/Wikibase : masterDefine doesWrites() for Action classes
mediawiki/core : masterDistinguish read vs write mode Action classes

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 13 2016, 11:04 PM

Change 264030 had a related patch set uploaded (by Aaron Schulz):
Distinguish read vs write mode Action classes

https://gerrit.wikimedia.org/r/264030

aaron claimed this task.Jan 14 2016, 1:14 AM
aaron set Security to None.

Change 264030 merged by jenkins-bot:
Distinguish read vs write mode Action classes

https://gerrit.wikimedia.org/r/264030

Change 264331 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPageAction

https://gerrit.wikimedia.org/r/264331

Change 264334 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264334

Change 264336 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264336

Change 264338 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264338

Change 264339 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264339

Change 264340 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264340

Change 264343 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264343

Change 264343 merged by jenkins-bot:
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264343

Change 264344 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264344

Change 264345 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264345

Change 264347 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264347

Change 264348 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264348

Change 264350 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264350

Change 264351 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264351

Change 264352 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264352

Change 264353 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264353

Change 264354 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264354

Change 264357 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264357

Change 264359 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264359

Change 264360 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264360

Change 264365 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264365

Change 264366 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264366

Change 264367 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264367

Change 264368 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264368

Change 264369 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264369

Change 264370 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264370

Change 264371 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264371

Change 264372 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264372

Change 264373 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264373

Change 264375 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264375

Change 264376 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264376

Change 264377 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264377

Change 264379 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264379

Change 264380 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264380

Change 264381 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264381

Change 264382 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264382

Change 264383 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264383

Change 264384 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264384

Change 264386 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264386

Change 264387 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264387

Change 264389 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264389

Change 264344 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264344

Change 264338 merged by jenkins-bot:
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264338

Change 264351 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264351

Change 264336 abandoned by Aaron Schulz:
Define doesWrites() for Action classes

Reason:
Yep, I was mislead by the class name

https://gerrit.wikimedia.org/r/264336

Change 264348 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264348

Change 264368 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264368

Change 264377 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264377

Change 264384 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264384

Change 264359 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264359

Change 264345 merged by jenkins-bot:
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264345

Change 264376 abandoned by Aaron Schulz:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264376

aaron triaged this task as Medium priority.Jan 15 2016, 10:47 PM

Change 264369 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264369

Change 264339 merged by jenkins-bot:
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264339

Change 264340 merged by jenkins-bot:
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264340

Change 264360 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264360

Change 264352 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264352

Change 264353 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264353

Change 264350 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264350

Change 264365 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264365

Change 264367 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264367

Change 264371 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264371

Change 264373 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264373

Change 264375 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264375

Change 264381 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264381

Change 264386 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264386

Change 264389 abandoned by Aaron Schulz:
Define doesWrites() for SpecialPage classes

Reason:
Yeah, odd

https://gerrit.wikimedia.org/r/264389

Change 264998 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264998

Change 264999 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264999

Change 265000 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/265000

Change 265001 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/265001

Change 265002 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/265002

Change 265003 had a related patch set uploaded (by Aaron Schulz):
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/265003

Change 264383 merged by Alex Monk:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264383

Change 264334 merged by jenkins-bot:
Define doesWrites() for Action classes

https://gerrit.wikimedia.org/r/264334

Change 264380 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264380

Change 264372 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264372

Change 264379 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264379

Change 264331 merged by jenkins-bot:
Define doesWrites() for SpecialPageAction

https://gerrit.wikimedia.org/r/264331

Change 265003 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/265003

Change 264387 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264387

Change 264366 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264366

Change 264370 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264370

Change 264354 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264354

Change 264357 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264357

Change 264347 merged by jenkins-bot:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264347

aaron closed this task as Resolved.Jan 20 2016, 1:25 AM

Change 264382 merged by Aaron Schulz:
Define doesWrites() for SpecialPage classes

https://gerrit.wikimedia.org/r/264382